<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Contract;
use Illuminate\Http\Request;

class ContractsController extends Controller
{
    public function __construct()
    {
        $this->middleware(['permission:contracts']);

    }
    public function index()
    {
        $rows = Contract::latest()->get();
        return view('admin.contracts.index', compact('rows'));
    }

    public function create()
    {
        return view('admin.contracts.create');
    }

    public function store(Request $request)
    {
        $request->validate([
            'title_ar' => 'required',
            'title_en' => 'required',
            'file' => 'required|mimes:doc,pdf,docx,zip'

        ]);
        $contract = new Contract();
        $contract['title->ar'] = $request['title_ar'];
        $contract['title->en'] = $request['title_en'];
        $contract->setFileAttribute();
        $contract->save();
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('contracts.index');
    }

    public function edit($id)
    {
        $row = Contract::find($id);
        return view('admin.contracts.edit', compact('row'));
    }

    public function update($id, Request $request)
    {
        $request->validate([
            'title_ar' => 'required',
            'title_en' => 'required',
            'file' => 'nullable|mimes:doc,pdf,docx'
        ]);
        $contract = Contract::find($id);
        $contract['title->ar'] = $request['title_ar'];
        $contract['title->en'] = $request['title_en'];
        if ($request->hasFile('file')) {
            $contract->setFileAttribute();
        }
        $contract->update();
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('contracts.index');

    }

    public function destroy($id)
    {
        Contract::destroy($id);
        toast('تمت العملية بنجاح', 'success');
        return back();
    }
}
