<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\OrderStatus;
use Illuminate\Http\Request;

class OrderStatusController extends Controller
{
    public function __construct()
    {
        $this->middleware(['permission:orderStatus']);

    }
    public function index()
    {
        $rows = OrderStatus::all();
        return view('admin.orderStatus.index', compact('rows'));
    }

    public function update($id, Request $request)
    {
        $this->validate($request, [
            'name_ar' => 'required',
            'name_en' => 'required',
        ]);
        $status = OrderStatus::findOrFail($id);
        $status['name->ar'] = $request['name_ar'];
        $status['name->en'] = $request['name_en'];
        $status->update();
        toast('تمت العمليه بنجاح', 'success');
        return redirect()->back();
    }
}
