<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\TransfersRequest;
use App\Models\UserToken;
use App\User;
use Edujugon\PushNotification\PushNotification;
use Illuminate\Http\Request;

class TransfersController extends Controller
{
    public function index()
    {
        $rows = TransfersRequest::whereType('request')->orderByDesc('id')->get();
         return view('admin.transfers.index', compact('rows'));
    }

    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'admin_approve' => 'required|in:accept,refuse'
        ]);
        TransfersRequest::where('id', $id)->update([
            'admin_approve' => $request['admin_approve']
        ]);
        $old = TransfersRequest::find($id);

        if ($request['admin_approve'] == 'accept') {
            TransfersRequest::create([
                'user_id' => $old->user_id,
                'type' => 'add',
                'admin_approve' => $request['admin_approve'],
                'amount' => $old->amount,
                'code' => uniqid(),
            ]);
            $worker = User::find($old->user_id);
            $worker->wallet -= $old->amount;
            $worker->update();

            $tokens = UserToken::where('user_id', $worker->id)->get();


            foreach ($tokens as $token) {

                $push = new PushNotification('fcm');

                if ($token->device_type == 'ios') {
                    $msg = [
                        'data' => [
                            'title' => 'تم تأكيد طلب تحويل المبلغ',
                            'body' => 'تم تأكيد طلب تحويل المبلغ',
                            'type' => 'admin',
                            'sound' => 'default',
                            'click_action' => 'FCM_PLUGIN_ACTIVITY',
                        ],
                        'notification' => [
                            'title' => 'تم تأكيد طلب تحويل المبلغ',
                            'body' => 'تم تأكيد طلب تحويل المبلغ',
                            'type' => 'admin',
                            'sound' => 'default',
                            'click_action' => 'FCM_PLUGIN_ACTIVITY',
                        ],
                        'priority' => 'high',
                    ];
                    $push->setMessage($msg)
                        ->setDevicesToken($token->token)
                        ->send();

                } else {
                    $msg = [
                        'data' => [
                            'title' => 'تم تأكيد طلب تحويل المبلغ',
                            'body' => 'تم تأكيد طلب تحويل المبلغ',
                            'type' => 'admin',
                            'sound' => 'default',
                            'click_action' => 'FCM_PLUGIN_ACTIVITY',
                        ],
                        'priority' => 'high',
                    ];
                    $push->setMessage($msg)
                        ->setDevicesToken($token->token)
                        ->send();

                }


            }

        } elseif ($request['admin_approve'] == 'refuse') {
            $worker = User::find($old->user_id);
            $tokens = UserToken::where('user_id',$worker->id)->get();


            foreach ($tokens as $token) {

                $push = new PushNotification('fcm');

                if ($token->device_type == 'ios') {
                    $msg = [
                        'data' => [
                            'title' => 'تم رفض طلبكم بخصوص تحويل المبلغ',
                            'body' => 'تم رفض طلبكم بخصوص تحويل المبلغ',
                            'type' => 'admin',
                            'sound' => 'default',
                            'click_action' => 'FCM_PLUGIN_ACTIVITY',
                        ],
                        'notification' => [
                            'title' => 'تم رفض طلبكم بخصوص تحويل المبلغ',
                            'body' => 'تم رفض طلبكم بخصوص تحويل المبلغ',
                            'type' => 'admin',
                            'sound' => 'default',
                            'click_action' => 'FCM_PLUGIN_ACTIVITY',
                        ],
                        'priority' => 'high',
                    ];
                    $push->setMessage($msg)
                        ->setDevicesToken($token->token)
                        ->send();

                } else {
                    $msg = [
                        'data' => [
                            'title' => 'تم رفض طلبكم بخصوص تحويل المبلغ',
                            'body' => 'تم رفض طلبكم بخصوص تحويل المبلغ',
                            'type' => 'admin',
                            'sound' => 'default',
                            'click_action' => 'FCM_PLUGIN_ACTIVITY',
                        ],
                        'priority' => 'high',
                    ];
                    $push->setMessage($msg)
                        ->setDevicesToken($token->token)
                        ->send();

                }


            }

        }
        toast('تمت العملية بنجاح', 'success');
        return redirect()->back();
    }

    public function destroy($id)
    {
        TransfersRequest::destroy($id);
        toast('تم الحذف بنجاح', 'success');
        return redirect()->back();
    }
}
