<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Order;
use App\User;
use Carbon\Carbon;
use Illuminate\Http\Request;

class WorkersController extends Controller
{
    public function __construct()
    {
        $this->middleware(['permission:workers']);

    }
    public function index()
    {
        $rows = User::whereType('worker')->whereAdminApprove('true')->orderByDesc('id')->get();
        return view('admin.workers.index', compact('rows'));
    }

    public function edit($id)
    {
        $row = User::find($id);
        return view('admin.workers.edit', compact('row'));
    }

//    public function update($id, Request $request)
//    {
//        $request->validate([
//            'amount' => 'required',
//            'system_money' => 'required|in:true,false'
//        ]);
//
//        User::where('id', $id)->update([
//            'wallet' => $request['amount']
//        ]);
//
//
//        if ($request['system_money'] == "true") {
//            Order::where('worker_id', $id)->update([
//                'system_money' => 0
//            ]);
//        }
//
//
//        toast('تم التعديل بنجاح', 'success');
//
//        return redirect()->route('workers.index');
//
//    }
    public function update($id, Request $request)
    {
        $request->validate([
            'status' => 'required',
        ]);



        $user = User::findOrFail($id);
        $user->status = $request['status'];
        $user->email = $request['email'];
        $user->mobile = $request['mobile'];
        $user->username = $request['username'];
        $user->special_commission = $request['special_commission'];
        if ($request['password']) $user->password = bcrypt($request['password']);
        $user->update();

        toast('تم التعديل بنجاح', 'success');

        return redirect()->route('workers.index');

    }

    public function worker_orders($id)
    {
        $worker = User::find($id);
        $rows = Order::where('worker_id', $id)->orderByDesc('id')->get();
        return view('admin.workers.orders', compact('rows', 'worker'));
    }

    public function order_search(Request $request)
    {
        $rows = Order::whereWorkerId($request['worker_id'])->get();
        if ($request['start'] && $request['end']) {

            if ($request['start'] == $request['end']) {
                $rows = $rows->whereDate('created_at', '>=', Carbon::parse($request['start'])->toDateString());

            } else {
                $rows = $rows->whereBetween('created_at', [Carbon::parse($request['start']), Carbon::parse($request['end'])]);

            }
        } elseif ($request['start'] && $request['end'] == null) {

            $rows = $rows->where('created_at', '>=', Carbon::parse($request['start']));
        } elseif ($request['end'] && $request['start'] == null) {
            $rows = $rows->where('created_at', '<=', Carbon::parse($request['end']));
        }

        $worker = User::find($request['worker_id']);
        return view('admin.workers.orders', compact('rows', 'worker'));


    }

    public function change_order_status($id)
    {
        $row = Order::find($id);
        return view('admin.workers.change_order_status', compact('row'));
    }

    public function change_order_status_post(Request $request, $id)
    {
        $request->validate([
            'system_money' => 'required|in:true,false',
            'status' => 'required'
        ]);

        if ($request['system_money'] == "true") {
            Order::where('id', $id)->update([
                'system_money' => 0,
                'status' => $request['status']
            ]);
        }
        $order = Order::find($id);
        $worker_id = $order->worker_id;
        toast('تم حفظ التغييرات بنجاح', 'success');
        return redirect()->route('worker_orders', $worker_id);


    }

    public function show($id)
    {

        $row = User::find($id);
        return view('admin.workers.show',compact('row'));
    }

}
