<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Resources\CategoriesOfferResource;
use App\Http\Resources\SpecialOffersResource;
use App\Http\Resources\WorkersResource;
use App\Models\CategoriesOffer;
use App\Models\Category;
use Illuminate\Http\Request;

class SpecialOffersController extends Controller
{
    public function offers()
    {
        $lang = \request()->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        $rows = CategoriesOffer::paginate(10);
        return SpecialOffersResource::collection($rows)->additional([
            'value' => true
        ]);


    }

    public function categories($offer_id)
    {
        $lang = \request()->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        $offer = CategoriesOffer::findOrFail($offer_id);
        $rows = $offer->categories;
        return CategoriesOfferResource::collection($rows)->additional([
            'value' => true
        ]);
    }

    public function workers($category_id)
    {
        $lang = \request()->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        $category = Category::findOrFail($category_id);
        $rows = $category->workers;
        return WorkersResource::collection($rows)->additional([
            'value' => true
        ]);
    }
}
