<?php

namespace App\Http\Resources;

use Carbon\Carbon;
use Illuminate\Http\Resources\Json\JsonResource;

class NotificationsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $lang = $request->header('Accept-Language','ar');
        \App::setLocale($lang);
        return [
            'id' => $this->id,
            'body'=>$this->body[$lang],
            'order_id'=>$this->order_id ? (integer)$this->order_id : 0,
            'type'=>$this->type,
            'date'=>Carbon::parse($this->created_at)->toDateString(),
            'time'=>Carbon::parse($this->created_at)->toTimeString(),
        ];
    }
}
