<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class SpecialService extends Model
{
    protected $fillable = ['provider_id', 'category_id', 'name', 'price', 'image'];
    protected $table = 'special_services';
    protected $casts = ['name' => 'json'];

    public function category()
    {
        return $this->belongsTo(Category::class, 'category_id');
    }

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/services/';
        $filename = '3331' . time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/services/') . '/' . $this->attributes['image'];
        }
        return " ";
    }
}
