<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateOrdersTable extends Migration {

	public function up()
	{
		Schema::create('orders', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->integer('user_id')->unsigned();
			$table->string('title', 191)->nullable();
			$table->string('description', 191)->nullable();
			$table->integer('city_id')->unsigned()->nullable();
			$table->string('lat', 191)->nullable();
			$table->string('lng', 191)->nullable();
			$table->text('address')->nullable();
			$table->string('date', 191)->nullable();
			$table->string('start_time', 191)->nullable();
			$table->string('finish_time', 191)->nullable();
			$table->integer('worker_id')->unsigned()->nullable();
			$table->string('price_offer', 191)->nullable();
			$table->string('total_price', 191)->nullable();
			$table->enum('payment_type', array('wallet', 'visa', 'cash','bank'))->nullable();
			$table->string('finish_code', 191)->nullable();
			$table->enum('status', array('new', 'in_progress', 'finish', 'canceled', 'wait_client', 'worker_in_way','client_finish','worker_finish','in_complete','admin_wait','worker_arrive'))->nullable();
		});
	}

	public function down()
	{
		Schema::drop('orders');
	}
}
