@extends('admin.layout.master')
@section('title', 'الاعدادات')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الاعدادات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">الاعدادات</h4>
                @include('admin.layout.message')

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('setting.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')

                            <div class="form-group">
                                <label for="exampleInputEmail1">رقم الجوال</label>
                                <input type="text" class="form-control"
                                       value="{{( $row && $row->mobile) ? $row->mobile : ''}}" required
                                       name="mobile"
                                       id="exampleInputEmail1"
                                       placeholder="رقم الجوال">
                                @if ($errors->has('mobile'))
                                    <small class="text-danger">{{ $errors->first('mobile') }}</small>
                                @endif
                            </div>


                            <div class="form-group">
                                <label for="exampleInputEmail1">البريد الألكتروني</label>
                                <input type="email" class="form-control"
                                       value="{{($row && $row->email ) ? $row->email : ''}}" required
                                       name="email"
                                       id="exampleInputEmail1"
                                       placeholder="البريد الألكتروني">
                                @if ($errors->has('email'))
                                    <small class="text-danger">{{ $errors->first('email') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رابط الفيس بوك</label>
                                <input type="text" class="form-control"
                                       value="{{($row && $row->facebook ) ? $row->facebook : ''}}" required
                                       name="facebook"
                                       id="exampleInputEmail1"
                                       placeholder="رابط الفيس بوك">
                                @if ($errors->has('facebook'))
                                    <small class="text-danger">{{ $errors->first('facebook') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رابط تويتر</label>
                                <input type="text" class="form-control"
                                       value="{{($row && $row->twitter ) ? $row->twitter : ''}}" required
                                       name="twitter"
                                       id="exampleInputEmail1"
                                       placeholder="رابط تويتر">
                                @if ($errors->has('twitter'))
                                    <small class="text-danger">{{ $errors->first('twitter') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رابط سناب شات</label>
                                <input type="text" class="form-control"
                                       value="{{($row && $row->sanp ) ? $row->sanp : ''}}" required
                                       name="sanp"
                                       id="exampleInputEmail1"
                                       placeholder="رابط سناب شات">
                                @if ($errors->has('snapchat'))
                                    <small class="text-danger">{{ $errors->first('snapchat') }}</small>
                                @endif
                            </div>

{{--                            <div class="form-group">--}}
{{--                                <label for="exampleInputEmail1">قيمة عمولة الأقسام المتعدده</label>--}}
{{--                                <input type="text" class="form-control"--}}
{{--                                       value="{{($row && $row->multiple_commission ) ? $row->multiple_commission : ''}}"--}}
{{--                                       required--}}
{{--                                       name="multiple_commission"--}}
{{--                                       id="exampleInputEmail1"--}}
{{--                                       placeholder="قيمة العمولة">--}}
{{--                                @if ($errors->has('multiple_commission'))--}}
{{--                                    <small class="text-danger">{{ $errors->first('multiple_commission') }}</small>--}}
{{--                                @endif--}}
{{--                            </div>--}}
                            <div class="form-group">
                                <label for="exampleInputEmail1">قيمة العمولة</label>
                                <input type="text" class="form-control"
                                       value="{{($row && $row->single_commission ) ? $row->single_commission : ''}}"
                                       required
                                       name="single_commission"
                                       id="exampleInputEmail1"
                                       placeholder="قيمة العمولة">
                                @if ($errors->has('single_commission'))
                                    <small class="text-danger">{{ $errors->first('single_commission') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رقم خدمة العملاء</label>
                                <input type="text" class="form-control"
                                       value="{{($row && $row->hotline ) ? $row->hotline : ''}}"
                                       required
                                       name="hotline"
                                       id="exampleInputEmail1"
                                       placeholder="رقم خدمة العملاء">
                                @if ($errors->has('hotline'))
                                    <small class="text-danger">{{ $errors->first('hotline') }}</small>
                                @endif
                            </div>


                            <div class="form-group">
                                <label for="exampleInputEmail1">قيمة الضريبة المضافه بالنسبة المئوية %</label>
                                <input type="text" class="form-control"
                                       value="{{($row && $row->fee ) ? $row->fee : ''}}"
                                       required
                                       name="fee"
                                       id="exampleInputEmail1"
                                       placeholder="قيمة الضريبة المضافه بالنسبة المئوية %">
                                @if ($errors->has('fee'))
                                    <small class="text-danger">{{ $errors->first('fee') }}</small>
                                @endif
                            </div>
                        <!-- <div class="form-group">
                                <label for="exampleInputEmail1">عدد النقاط علي الطلب الواحد</label>
                                <input type="text" class="form-control"
                                       value="{{($row && $row->order_point ) ? $row->order_point : ''}}"
                                       required
                                       name="order_point"
                                       id="exampleInputEmail1"
                                       placeholder="عدد النقاط علي الطلب الواحد">
                                @if ($errors->has('order_point'))
                            <small class="text-danger">{{ $errors->first('order_point') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">سعر تحويل النقط للريالات</label>
                                <input type="text" class="form-control"
                                       value="{{($row && $row->point_money ) ? $row->point_money : ''}}"
                                       required
                                       name="point_money"
                                       id="exampleInputEmail1"
                                       placeholder="عدد النقاط علي الطلب الواحد">
                                @if ($errors->has('point_money'))
                            <small class="text-danger">{{ $errors->first('point_money') }}</small>
                                @endif
                            </div> -->
                            {{--                            <div class="form-group">--}}
                            {{--                                <label for="exampleInputEmail1">تفعيل الإشتراكات</label>--}}
                            {{--                               <select name='subscription_status' class='form-control' required>--}}
                            {{--<option value='true' {{$row->subscription_status == 'true' ? "selected" : ""}}> مفعل </option>--}}
                            {{--<option value='false' {{$row->subscription_status == 'false' ? "selected" : ""}}> غير مفعل </option>--}}
                            {{--                               </select>--}}
                            {{--                                @if ($errors->has('subscription_status'))--}}
                            {{--                                    <small class="text-danger">{{ $errors->first('subscription_status') }}</small>--}}
                            {{--                                @endif--}}
                            {{--                            </div>--}}


                            <div class="card-box">
                                <div class="form-group">
                                    <label for="about_ar">عن التطبيق باللغة العربية</label>
                                    <textarea class="form-control tinymce"
                                              name="about_ar" cols="50"
                                              placeholder="عن التطبيق "
                                              rows="10">{{$row ? $row->about['ar'] : ''}}</textarea>
                                    @if ($errors->has('about_ar'))
                                        <small class="text-danger">{{ $errors->first('about_ar') }}</small>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label for="about_en">عن التطبيق باللغة الأنجليزية</label>
                                    <textarea class="form-control tinymce"
                                              name="about_en" cols="50"
                                              placeholder="عن التطبيق "
                                              rows="10">{{$row ? $row->about['en'] : ''}}</textarea>
                                    @if ($errors->has('about_en'))
                                        <small class="text-danger">{{ $errors->first('about_en') }}</small>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label for="policy_ar">سياسية الخصوصية باللغة العربية</label>
                                    <textarea class="form-control tinymce"
                                              name="policy_ar" cols="50"
                                              placeholder="سياسية الخصوصية "
                                              rows="10">{{$row ? $row->policy['ar'] : ''}}</textarea>
                                    @if ($errors->has('policy_ar'))
                                        <small class="text-danger">{{ $errors->first('policy_ar') }}</small>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label for="policy_en">سياسية الخصوصية باللغة الإنجليزية </label>
                                    <textarea class="form-control tinymce"
                                              name="policy_en" cols="50"
                                              placeholder="سياسية الخصوصية "
                                              rows="10">{{$row ? $row->policy['en'] : ''}}</textarea>
                                    @if ($errors->has('policy_en'))
                                        <small class="text-danger">{{ $errors->first('policy_en') }}</small>
                                    @endif
                                </div>

                                <div class="form-group">
                                    <label for="advice_tips_ar">شرح النصح والإرشاد باللغه العربية</label>
                                    <textarea class="form-control tinymce"
                                              name="advice_tips_ar" cols="50"
                                              placeholder="شرح النصح والإرشاد باللغه العربية "
                                              rows="10">{{$row ? $row->advice_tips['ar'] : ''}}</textarea>
                                    @if ($errors->has('advice_tips_ar'))
                                        <small class="text-danger">{{ $errors->first('advice_tips_ar') }}</small>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label for="advice_tips_en">شرح النصح والإرشاد باللغه الإنجليزية </label>
                                    <textarea class="form-control tinymce"
                                              name="advice_tips_en" cols="50"
                                              placeholder="شرح النصح والإرشاد باللغه الإنجليزية "
                                              rows="10">{{$row ? $row->advice_tips['en'] : ''}}</textarea>
                                    @if ($errors->has('advice_tips_en'))
                                        <small class="text-danger">{{ $errors->first('advice_tips_en') }}</small>
                                    @endif
                                </div>


                            </div>


                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
