@extends('admin.layout.master')
@section('title', 'الاعلانات')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الاعلانات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('sliders.store')}}" enctype="multipart/form-data">
                            @csrf
                            <div class="form-group">
                                <label for="exampleInputEmail1">رابط</label>
                                <input type="text" class="form-control" value="{{old('url')}}" name="url"
                                       id="exampleInputEmail1"
                                       placeholder="رابط">
                                @if ($errors->has('url'))
                                    <small class="text-danger">{{ $errors->first('url') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputPassword1">الفنين</label>
                                <select name="worker_id" class="form-control">
                                    <option selected disabled>إختيار فنى</option>
                                    @foreach($workers as $worker)
                                        <option value="{{$worker->id}}">{{$worker->username}}</option>
                                    @endforeach
                                </select>
                                @if ($errors->has('worker_id'))
                                    <small class="text-danger">{{ $errors->first('worker_id') }}</small>
                                @endif
                            </div>


                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">
                                        <h4 class="header-title mb-4">الصورة </h4>
                                        <input type="file" required name="image" class="dropify"
                                               data-height="200"/>
                                    </div>
                                </div><!-- end col -->
                                @if ($errors->has('image'))
                                    <small
                                        class="text-danger">{{ $errors->first('image') }}</small>
                                @endif
                            </div>


                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
@section('scripts')
    <script>
        $("#exampleSelect1_to").on('change', function () {
            var select_to = $("#exampleSelect1_to").val();
            if (select_to == 'all') {
                $("#users_select").hide();
            } else {
                $("#users_select").show();

            }
        });
        $("#check_date_select").on('change',function (){
            var check_date_select = $("#check_date_select").val();
            if (check_date_select == 'true'){
                $("#check_date").show();
            }else {
                $("#check_date").hide();

            }
        })
    </script>

@stop
